Debian Bug report logs - #388505
gcj-dbtool-4.1 call in postinst segfaults on fresh installs on arm, hppa

version graph

Package: gij-4.1; Maintainer for gij-4.1 is (unknown);

Reported by: Joey Hess <joeyh@debian.org>

Date: Wed, 20 Sep 2006 20:48:07 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Merged with 387875

Found in version gcj-4.1/4.1.1-13

Forwarded to http://gcc.gnu.org/PR29206

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#388505; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcj-dbtool-4.1 call in postinst segfaults on fresh installs on arm, hppa
Date: Wed, 20 Sep 2006 16:33:08 -0400
[Message part 1 (text/plain, inline)]
Package: gij-4.1
Version: 4.1.1-13
Severity: grave

sh-3.1#  gcj-dbtool-4.1 -n /var/lib/gcj-4.1/classmap.db
Segmentation fault

This happens on arm, and, according to vorlon, hppa. The postinst runs this
if /var/lib/gcj-4.1/classmap.db doesn't exist.

This is breaking various builds, like xulrunner on arm, and is contributing
to arm not being a very good release candidate architecture, this the
severity.

Here's a backtrace:

(gdb) r  -n /var/lib/gcj-4.1/classmap.db
Starting program: /usr/bin/gcj-dbtool-4.1 -n /var/lib/gcj-4.1/classmap.db
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 8502)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 32769 (LWP 8507)]
[New Thread 16386 (LWP 8508)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 8502)]
0x41beb434 in _Unwind_GetIPInfo () from /lib/libgcc_s.so.1
(gdb) bt
#0  0x41beb434 in _Unwind_GetIPInfo () from /lib/libgcc_s.so.1
#1  0x40b9d408 in _Jv_StackTrace::UnwindTraceFn () from /usr/lib/libgcj.so.70
#2  0x41beba04 in _Unwind_Backtrace () from /lib/libgcc_s.so.1
#3  0x40b9d308 in _Jv_StackTrace::GetStackTrace () from /usr/lib/libgcj.so.70
#4  0x40bdf2c4 in java::lang::VMThrowable::fillInStackTrace ()
   from /usr/lib/libgcj.so.70
#5  0x40f7eddc in java::lang::Throwable::fillInStackTrace ()
   from /usr/lib/libgcj.so.70
#6  0x40f7ee6c in java::lang::Throwable::Throwable ()
   from /usr/lib/libgcj.so.70
#7  0x40f7f1ac in java::lang::Exception::Exception ()
   from /usr/lib/libgcj.so.70
#8  0x40f7f2c4 in java::lang::ClassNotFoundException::ClassNotFoundException ()
   from /usr/lib/libgcj.so.70
#9  0x40fbdd28 in java::net::URLClassLoader::findClass ()
   from /usr/lib/libgcj.so.70
#10 0x40c02fb4 in gnu::gcj::runtime::BootClassLoader::bootLoadClass ()
   from /usr/lib/libgcj.so.70
#11 0x40bdee94 in java::lang::VMClassLoader::loadClass ()
   from /usr/lib/libgcj.so.70
#12 0x40bd8470 in _Jv_FindClass () from /usr/lib/libgcj.so.70
#13 0x40bd7174 in java::lang::Class::forName () from /usr/lib/libgcj.so.70
#14 0x40c00f44 in gnu::gcj::convert::BytesToUnicode::getDecoder ()
   from /usr/lib/libgcj.so.70
#15 0x40bdd0b8 in java::lang::String::init () from /usr/lib/libgcj.so.70
#16 0x40f96568 in java::lang::String::String () from /usr/lib/libgcj.so.70
#17 0x40b8a068 in JvConvertArgv () from /usr/lib/libgcj.so.70
#18 0x40b8aed8 in _Jv_RunMain () from /usr/lib/libgcj.so.70
#19 0x40b8b0b0 in _Jv_RunMain () from /usr/lib/libgcj.so.70
#20 0x40b8b0dc in JvRunMain () from /usr/lib/libgcj.so.70
#21 0x41c09e44 in __libc_start_main () from /lib/libc.so.6
#22 0x41c09e44 in __libc_start_main () from /lib/libc.so.6
Previous frame identical to this frame (corrupt stack?)
(gdb) 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: arm
Shell:  /bin/sh linked to /bin/bash
Kernel: 2.6.11.11
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages gij-4.1 depends on:
ii  gcj-4.1-base                 4.1.1-13    The GNU Compiler Collection (gcj b
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-13  GCC support library
ii  libgcj7-0                    4.1.1-13    Java runtime library for use with 
ii  zlib1g                       1:1.2.3-13  compression library - runtime

gij-4.1 recommends no packages.

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Merged 387875 388505. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR29206. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#388505; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 388505@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: 387875@bugs.debian.org, 388505@bugs.debian.org, Joey Hess <joeyh@debian.org>, Steve Langasek <vorlon@debian.org>
Subject: Patch for ARM gcj
Date: Wed, 8 Nov 2006 10:51:25 -0500
[Message part 1 (text/plain, inline)]
I've attached a potential fix for this bug.  Riku Voipio tested it for
me and says that the testsuite looks much better now; he said that
gjdoc was run during the binary-all build and tried to use the system's
broken gij, but otherwise things look OK.  I would recommend we include
this patch.  I'm not sure there's any point submitting it upstream
until the ARM libffi bits go; not sure what status on that is.

-- 
Daniel Jacobowitz
CodeSourcery
[fix-arm-gcj.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#388505; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 388505@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Daniel Jacobowitz <drow@false.org>
Cc: 387875@bugs.debian.org, 388505@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Patch for ARM gcj
Date: Wed, 8 Nov 2006 22:22:32 -0800
On Wed, Nov 08, 2006 at 10:51:25AM -0500, Daniel Jacobowitz wrote:
> I've attached a potential fix for this bug.  Riku Voipio tested it for
> me and says that the testsuite looks much better now; he said that
> gjdoc was run during the binary-all build and tried to use the system's
> broken gij, but otherwise things look OK.  I would recommend we include
> this patch.  I'm not sure there's any point submitting it upstream
> until the ARM libffi bits go; not sure what status on that is.

Beautiful!  I'll happily grant a freeze exception for this fix, FWIW. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: patch Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 12 Nov 2012 16:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:32:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.